<div>
  <div class="title-label">
    Check Your ThankUCash Points
  </div>

  <form [formGroup]="model.reactiveForm">
    <div class="mb-5">
      <label for="telphone" class="form-label d-block" [class.invalid-feedback]="invalidAcc">Enter Registered Phone Number
        *</label>
      <div>
        <app-phone-number autocomplete="off" formControlName="phone" (getPhoneData)="model.phone = $event"
          [class]="(f.phone.invalid && f.phone.touched) || invalidAcc ? 'is-invalid' : ''" (ngModelChange)="invalidAcc = false">
        </app-phone-number>
        <p class="invalid-feedback d-block" *ngIf="invalidAcc">Number not registered on ThankUcash</p>
        <app-error-messsages [form]="f.phone" required="Phone number is required" invalid="Phone number is invalid">
        </app-error-messsages>
      </div>
    </div>

    <div class="mb-5">
      <label for="pin" class="form-label d-block" [class.invalid-feedback]="invalidPin">Enter Your 4-digit Pin *</label>
      <code-input #codeInput [class]="'code-input-custom'" [isNonDigitsCode]="false" [isCodeHidden]="true"
        [codeLength]="4" [isPrevFocusableAfterClearing]="true" (codeChanged)="onCodeCompleted($event)" (codeCompleted)="onCodeCompleted($event)">
      </code-input>
      <p class="invalid-feedback d-block" *ngIf="invalidPin">Redeem pin is invalid</p>
      <!-- <div *ngIf="f.redeem_pin.errors && f.redeem_pin.touched" class="invalid-feedback d-block">
        <div>Pin is invalid</div>
      </div> -->
    </div>
    <div class="forgot">
      <div class="forgot-title">
        Forgot Pin?
      </div>
      <p class="forgot-desc">You can reset it via your ThankUCash mobile App</p>
    </div>

    <div class="mt-2 mb-2">
      <button id="checkbalancebtn" [disabled]="model.reactiveForm.invalid || isLoader" class="brn btn-block btn-primary"
        (click)="save()">
        Check Balance <div class="loader ms-4" *ngIf="isLoader"></div>
      </button>
    </div>
  </form>

</div>